org.apache.felix.connect.felix.framework.capabilityset

## Class CapabilitySet<T extends org.osgi.resource.Capability>

- java.lang.Object
- - org.apache.felix.connect.felix.framework.capabilityset.CapabilitySet<T>

    public class CapabilitySet<T extends org.osgi.resource.Capability>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CapabilitySet(List<String> indexProps, boolean caseSensitive)`

### Method Summary

Methods
`void` `addCapability(T cap)`
`Set<T>` `match(SimpleFilter sf, boolean obeyMandatory)`
`void` `removeCapability(T cap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CapabilitySet

    public CapabilitySet(List<String> indexProps,
                 boolean caseSensitive)

### Method Detail

#### addCapability

    public void addCapability(T cap)

#### removeCapability

    public void removeCapability(T cap)

#### match

    public Set<T> match(SimpleFilter sf,
               boolean obeyMandatory)